/*
 * ClusterIterator.java
 *
 * Copyright (c) 2011 Daniel Wayne Crabtree - All Rights Reserved
 * 
 * If you use this, please cite my PhD Thesis.
 
   @PHDTHESIS{IWS11,
       AUTHOR =  {Daniel Crabtree},
       TITLE =   {Techniques for Improving Web Search by Understanding Queries},
       SCHOOL =  {School of Engineering and Computer Science, Victoria University of Wellington},
       ADDRESS = {Wellington, New Zealand},
       MONTH =   {May},    
       YEAR =    {2011}
   }
  
 */

package qc4;

import java.util.*;

class ClusterIterator implements Iterator<Page>
{
    private int count;
    private int index;
    private Cluster cluster;
    
    public ClusterIterator(Cluster cluster)
    {
        this.cluster = cluster;
        this.count = 0;
        this.index = 0;
    }
    
    public boolean hasNext()
    {
        return this.count < this.cluster.size();
    }
    
    public Page next()
    {
        int nextIndex = this.cluster.nextIndex(this.index);
        if(nextIndex != -1)
        {
            this.index = nextIndex + 1;
            this.count++;
            return this.cluster.getPage(nextIndex);
        }
        
        return null;
    }
    
    public void remove()
    {
    }
}
