/*
 * ResultSet.java
 *
 * Copyright (c) 2011 Daniel Wayne Crabtree - All Rights Reserved
 * 
 * If you use this, please cite my PhD Thesis.
 
   @PHDTHESIS{IWS11,
       AUTHOR =  {Daniel Crabtree},
       TITLE =   {Techniques for Improving Web Search by Understanding Queries},
       SCHOOL =  {School of Engineering and Computer Science, Victoria University of Wellington},
       ADDRESS = {Wellington, New Zealand},
       MONTH =   {May},    
       YEAR =    {2011}
   }
  
 */

package qc4;

import java.util.*;

public class ResultSet implements Iterable<Page>
{
    private List<Page> pages;
    
    public ResultSet(int size)
    {
        this.pages = new ArrayList<Page>(size);
        for(int i = 0; i < size; i++)
            this.pages.add(new Page(i));
    }
        
    final int size()
    {
        return this.pages.size();
    }
           
    public Iterator<Page> iterator()
    {
        return this.pages.iterator();
    }
    
    final Page getPage(int i)
    {
        return this.pages.get(i);
    }
    
    final List<Page> getPageRange(int start, int end)
    {
        return this.pages.subList(start, end);
    }
}